from aiogram import Bot, Dispatcher, Router, F
from aiogram.filters import Command
from aiogram.types import Message
from aiogram.types import BotCommand


BOT_TOKEN = "5298097193:AAGLxWG3iw1K67qhRX4aIu9BKe8e1yl08oQ"


bot = Bot(token=BOT_TOKEN)
dp = Dispatcher()
router = Router()


async def setup_bot_commands():
    commands = [
        BotCommand(command="start", description="Перезапустить бота")
    ]
    await bot.set_my_commands(commands)


@router.message(F.text == "Привет")
async def handle_message(message: Message):
    await message.answer(text="Привет! Как дела? 😊")


@router.message(Command("start"))
async def handle_start(message: Message):
    await message.answer("Добро пожаловать! 🎉")


dp.include_router(router)

# @dp.message(Command("start"))
# async def handle_start(message: Message):
#     await message.answer("Привет! Я эхо-бот.\nПросто отправь мне сообщение, и я отвечу тебе тем же!")


# @dp.message(Command("help"))
# async def handle_help(message: Message):
#     await message.answer("Я простой бот. Напиши мне что-нибудь, и я повторю твое сообщение.")


# @dp.message()
# async def echo_message(message: Message):
#     await message.reply(message.text)


if __name__ == "__main__":
    dp.run_polling(bot)
